Get event data using request ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call .

Prerequisites

  • Authentication: Basic or OAuth credentials
  • Access group resource: Read access on Behavioural Events resource. For more information, refer to access group documentation.

API endpoint example

<http://eu.api.capillarytech.com/v2/events/event_data?id=35a56de6-93fe-4119-a360-f3547af1499a>

Resource information

URI/events/event_data
HTTP methodGET
Pagination supported?NA
Rate limitNA
Batch supportNA

Query parameter

Parameter (Parameters marked with * are mandatory)Description
id*requestId for the event generated during the POST event API call. For more information refer, Post event.
curl --location 'http://eu.api.capillarytech.com/v2/events/event_data?id=35a56de6-93fe-4119-a360-f3547af1499a' \
--header 'Authorization: Basic YzdiNmY2OWZmZmRkYg==' \
--header 'Cookie: _cfuvid=RY6QOmEmXhlkpkYzUT5aGlkDXWcSpLGwMXEa7suetWY-1719207183918-0.0.1.1-604800000'

Response parameter

ParameterData TypeDescription
dataArray of ObjectsArray containing event data objects.
  • orgId
StringUnique identifier of the organisation for which the event was generated.
  • userId
IntegerCustomer ID of the user.
  • date
StringDate and time when the event occurred represented in ISO 8601 format.
  • eventName
StringName of the event.
  • eventId
StringrequestId of the event generated during the POST event API call. For more info see, Post event.
  • source
StringSource of the event.
  • tillCode
StringTill code where the event occurred.
  • displayName
StringDisplay name of the event.
  • additonalAttributes
ObjectAdditional information related to the event.
-- accountIdStringAccount ID of the customer.
-- ageStringAge of the customer.
-- autoUpdateTimeStampStringTimestamp when the event occured in the epoch format. It is the number of seconds that have elapsed since the Unix epoch, which is 00:00:00 UTC on January 1, 1970.
-- customerIdStringCustomer ID the user.
-- displayNameStringDisplay name of the event.
-- eventDateTimeStringTimestamp when the event actually occurred, not when it was ingested. It comes from the eventDateTime you sent in the request (Post event). The value is in epoch milliseconds. The original timezone is preserved separately in eventDateTimeInputOffset.
--eventDateTimeInputOffsetstringStores the original timezone offset from the eventDateTime to preserve local time context.
-- eventNameStringName of the event.
-- external_event_idStringExternal identifier for Behavioral Events. This identifier allows brands to pass their unique identifiers for each event they send to the Customer Data Platform.
-- isDuplicateBooleanIndicates whether an event is considered a duplicate or an original event. If True, it indicates that the event is a duplicate, meaning it's a repetition or a copy of a previously recorded event.
-- orgIdIntegerUnique identifier for the organisation for which the event was generated.
-- sourceStringSource of the event.
-- source_till_idIntegerTill ID where the event was generated.
-- source_user_idIntegerIdentifier of the user who is associated with the source of the event.
  • psiAttributes
ObjectIncludes attributes that are marked as potentially sensitive data. Refer to the PSI data documentation for more information Classifying PSI data.
warningsObjectObject containing warning messages.
errorsObjectObject containing error messages.
{
    "data": [
        {
            "orgId": 100737,
            "userId": 565496268,
            "date": "2026-01-23T08:40:01Z",
            "eventName": "Group_User_Event",
            "eventId": "b26d5065-2177-4a18-a5ae-332682072073",
            "source": "INSTORE",
            "tillCode": "75155373",
            "additonalAttributes": {
                "String": "75155373",
                "accountId": null,
                "autoUpdateTimeStamp": 1769157601101,
                "customerId": "565496268",
                "displayName": null,
                "eventDateTime": "1724488200000",
                "eventDateTimeInputOffset": "+07:00",
                "eventName": "Group_User_Event",
                "groupId": "3854766",
                "isDuplicate": false,
                "is_mongo_push": true,
                "orgId": 100737,
                "ouTillCode": "rutuja_capillary",
                "requestId": "b26d5065-2177-4a18-a5ae-332682072073",
                "source": "INSTORE",
                "source_till_id": 75155373,
                "source_user_id": 565496268,
                "uniqueId": "b26d5065-2177-4a18-a5ae-332682072073",
                "x-cap-lineage-id": "b26d5065-2177-4a18-a5ae-332682072073",
                "x-cap-lineage-start": "1769157599735"
            },
            "psiAttributes": [],
            "uniqueId": "b26d5065-2177-4a18-a5ae-332682072073"
        }
    ],
    "warnings": [],
    "errors": []
}

API-specific error codes

Error CodeDescriptionWhen It Occurs
1849Search system unreachableWhen the search system is temporarily unavailable or cannot be reached.
Query Params
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json